INC_HEADERS =
INC_SOURCES =
INC_INCLUDEPATH =
INC_DEPENDPATH =

INC_HEADERS += \
	include/Exception.h \
	include/Agent.h \
	include/NavAgent.h \
	include/UsarAgent.h \
	include/Navigator.h \
	include/Behavior.h \
	include/Motion.h \
	include/Sensor.h \
	include/SingleStateSensor.h \
	include/MultiStateSensor.h \
	include/INUSensor.h \
	include/OdometrySensor.h \
	include/LaserRangeSensor.h \
	include/RFIDSensor.h \
	include/SonarSensor.h \
	include/TouchSensor.h \
	include/VictimRFIDSensor.h \
	include/KeyboardSensor.h \
	include/Actuator.h \
	include/PositionActuator.h \
	include/RFIDReleaserActuator.h \
	include/HoughTransformer.h

INC_SOURCES += \
	src/Exception.cpp \
	src/Agent.cpp \
	src/NavAgent.cpp \
	src/UsarAgent.cpp \
	src/Navigator.cpp \
	src/Behavior.cpp \
	src/Motion.cpp \
	src/Sensor.cpp \
	src/INUSensor.cpp \
	src/OdometrySensor.cpp \
	src/LaserRangeSensor.cpp \
	src/RFIDSensor.cpp \
	src/SonarSensor.cpp \
	src/TouchSensor.cpp \
	src/VictimRFIDSensor.cpp \
	src/KeyboardSensor.cpp \
	src/PositionActuator.cpp \
	src/RFIDReleaserActuator.cpp \
	src/HoughTransformer.cpp

INC_INCLUDEPATH = include
INC_DEPENDPATH = include src



# put the files into the main list
for(x, INC_HEADERS) {
	HEADERS += $${PREFIX}$${x}
}
for(x, INC_SOURCES) {
	SOURCES += $${PREFIX}$${x}
}
for(x, INC_INCLUDEPATH) {
	INCLUDEPATH += $${PREFIX}$${x}
}
for(x, INC_DEPENDPATH) {
	DEPENDPATH += $${PREFIX}$${x}
}
