#ifndef INUDEVICE_H_
#define INUDEVICE_H_

#include "Device.h"
#include "Robot.h"

class INUDevice : public Device
{
	public:
    		static const QString INU;

        INUDevice();
		virtual ~INUDevice();

	    	virtual void process(QMap<QString, QString>* data);
		
		virtual bool acceptsMsg(QString type);
};

#endif /*INUDEVICE_H_*/
