#ifndef ODOMETRYSENSOR_H_
#define ODOMETRYSENSOR_H_

#include "SingleStateSensor.h"

#include "OdometryData.h"

class OdometrySensor : public SingleStateSensor<OdometryData>
{

public:
	static const QString ODOMETRY;

    OdometrySensor(QString name);
	virtual ~OdometrySensor();

    virtual void accept(QMap<QString, QString>* msg);

    void reset();


private:
    OdometryData offset;


};

#endif 
