#include "PositionActuator.h"

// for sin
#include <math.h>

PositionActuator::PositionActuator(Agent* agent)
	: Actuator(agent)
{
}

PositionActuator::~PositionActuator()
{
}

void PositionActuator::drive(float translate /* m/s */, float rotate /* rad/s */)
{
	float wheelWidth = .5; // distance between wheels in meters
	float sinRotate = wheelWidth*sin(rotate);
	
	send( QString("DRIVE {Left %1} {Right %2}\r\n")
				.arg(translate-sinRotate)
				.arg(translate+sinRotate)
		);
}
