#include "Cube.h"


Cube::Cube() 
    : _position(), _dimensions() {}

Cube::Cube(const Vector3f& position, const Vector3f& dimensions)
    : _position(position), _dimensions(dimensions) {}

Cube::Cube(const Cube& other)
: _position(other._position), _dimensions(other._dimensions) {}


Cube::~Cube() {}



Cube& Cube::operator=(const Cube& other) {
    if (&other != this) {
		_position   = other._position;
		_dimensions = other._dimensions;
	}
	return *this;
}



const Vector3f& Cube::getPosition() const {
	return _position;
}

const Vector3f& Cube::getDimensions() const {
	return _dimensions;
}

