#ifndef GLMAPVIEW_H_
#define GLMAPVIEW_H_

#include <QtOpenGL>

#include "GLViewItem.h"
#include "ManifoldSlam.h"

#include "GLManifoldRenderer.h"

class GLManifoldSlamView : public GLViewItem
{
	private:
	
		ManifoldSlam* myMap;
		GLManifoldRenderer renderer;
		
	public:
		GLManifoldSlamView(ManifoldSlam*);
		virtual ~GLManifoldSlamView();
		
		void drawGL();
};

#endif /*GLMAPVIEW_H_*/
