#ifndef MANIFOLDRENDERER_H_
#define MANIFOLDRENDERER_H_

#include "Util3D.h"

class ManifoldRenderer
{
public:
	ManifoldRenderer() {}
	virtual ~ManifoldRenderer() {}

    virtual void renderScan(Pose2D scanPose, ScanObservation* scan, uint number = 0) = 0;
    virtual void renderLink(Pose2D firstPose, Pose2D secondPose) = 0;
    virtual void renderRFID(RFIDData rfid) {}
    virtual void renderVictimRFID(VictimRFIDData rfid) {}
    virtual void renderScansRFIDs(Pose2D scanPose, ScanObservation* scan, uint number) {}
};

#endif /*MANIFOLDRENDERER_H_*/
