#ifndef SCANPLAYER_H_
#define SCANPLAYER_H_


#include "ManifoldRenderer.h"
#include "SlamStrategy.h"
#include "ScanUtils.h"

class ScanPlayer 
{

public:
		
	ScanPlayer(SlamStrategy* slam, ManifoldRenderer* map);
	virtual ~ScanPlayer();

    virtual void play();



protected:

    SlamStrategy* slam;
    ManifoldRenderer*  map;

    ScanObservation* previousScan;
    ScanObservation* currentScan;
    Pose2D           currentPose;

};

#endif
