#ifndef SLAMSTRATEGY_H_
#define SLAMSTRATEGY_H_

#include "ScanUtils.h"
#include "ScanMatcher.h"
#include "ManifoldRenderer.h"


class SlamStrategy
{
public:

	SlamStrategy(ScanMatcher* matcher);
	virtual ~SlamStrategy();

    virtual bool processScan(ScanObservation* ) { return false; };
    virtual void render(ManifoldRenderer* ) {};

protected:

    ScanMatcher* matcher;

};

#endif 
