#ifndef VICTIMRFIDDATA_H_
#define VICTIMRFIDDATA_H_

/*
SEN {Type VictRFID} {Name VictRFID} {ID None} {Status None} {Location x,y,z}

STATUS return value represents
 0: cannot see tag
 1: can see tag
 2: can tell if false alarm
 3: can tell id of victim
 4: can tell status of victim
*/

enum IdentificationLevel {
    CANNOTSEE = 0,
    CANSEE = 1,
    CANSEEFALSEALARM = 2,
    CANSEEVICTIM = 3,
    CANSEEVICTIMSTATUS = 4
};

struct VictimRFIDData {

    IdentificationLevel level;

    QString ID;
    QString status;

    double dx;
    double dy;
    double dz;

};

#endif
