#ifndef ACTUATOR_H_
#define ACTUATOR_H_

#include "Agent.h"

class Actuator
{
protected:
	Agent* agent;
	
	void send(const QString& stuff) {
		if(agent!=NULL) {
			agent->send(stuff);
		} else {
			throw Exception("Actuator not connected to an Agent!");
		}
	}
	
public:
	Actuator(Agent* pAgent) {
		agent = pAgent;
	}
	
	virtual ~Actuator() {}
};

#endif /* ACTUATOR_H_ */