#ifndef INUSENSOR_H_
#define INUSENSOR_H_

#include "SingleStateSensor.h"

#include "INUData.h"

class INUSensor : public SingleStateSensor<INUData>
{

public:
	static const QString INU;

    INUSensor(QString name);
	virtual ~INUSensor();

    virtual void accept(QMap<QString, QString>* msg);

    void reset();


private:
    INUData offset;


};

#endif 
