#ifndef LASERDEVICE_H_
#define LASERDEVICE_H_

#include <QString>
#include <QStringList>

#include "QueueDevice.h"
#include "Robot.h"

#include "LaserData.h"

class LaserDevice : public QueueDevice< LaserData >
{
	public:
		static const QString LASER;
	
		LaserDevice(QString name);
		virtual ~LaserDevice();
		
		virtual void process(QMap<QString, QString>* data);
		
		virtual bool acceptsMsg(QString type);
};

#endif /*LASERDEVICE_H_*/
