#ifndef STATUSDEVICE_H_
#define STATUSDEVICE_H_

#include <QMutex>

#include "Device.h"
#include "StatusData.h"

class StatusDevice : public Device
{
	private:
	
		QMutex dataMutex;
		
		StatusData data;
	
	public:

        StatusDevice();
		virtual ~StatusDevice();
		
		StatusData getData();
		
        virtual void process(QMap<QString, QString>* data);
		
		virtual bool acceptsMsg(QString type);
};

#endif /*STATUSDEVICE_H_*/
