#ifndef VICTIMRFIDSENSOR_H_
#define VICTIMRFIDSENSOR_H_

#include "SingleStateSensor.h"
#include "VictimRFIDData.h"


class VictimRFIDSensor : public SingleStateSensor< QMap<QString, VictimRFIDData> >
{

public:
	double maxRange;
	double fpMinRange;
	double victMinRange;

public:
	static const QString VICTIMRFID;

    static const QString FALSEALARM;
    static const QString NOID;
    static const QString NOSTATUS;
    
    
	void injectObservation(VictimRFIDData obs);

    VictimRFIDSensor(QString name);
	virtual ~VictimRFIDSensor();

    virtual void accept(QMap<QString, QString>* msg);
	
};

#endif 
