#ifndef CONTROLBOXHEAD_H
#define CONTROLBOXHEAD_H

#include <QWidget>
#include <QToolButton>
#include <QLabel>
#include <QHBoxLayout>
#include <QIcon>
#include <QMouseEvent>

#include "controlboxheadbutton.h"

class ControlBoxHead : public QWidget
{
	Q_OBJECT
	public:
		ControlBoxHead(QWidget*, QString);
 		virtual ~ControlBoxHead();
		
		void toggle(bool);

	signals:
		void toggled(bool);

	protected:
		void mouseReleaseEvent( QMouseEvent *);
	
	private:
		ControlBoxHeadButton * mvToggleButton;
		QLabel * mvTitle;
		
		QHBoxLayout * mvLayout;
};

#endif //CONTROLBOXHEAD_H
