#include "commandermainwindow.h"

CommanderMainWindow::CommanderMainWindow(QWidget * parent)
	:QMainWindow(parent)
{
	mvSplit = new QSplitter(this);
	
	mvGlcanvas = new GLViewCanvas();
	mvControlBox = new ControlBoxStack();
	
	mvSplit->addWidget(mvGlcanvas);
	mvSplit->addWidget(mvControlBox);
	
	setCentralWidget(mvSplit);
}

void CommanderMainWindow::addControlCategory(QString title)
{
	mvControlBox->addCategory(title);
}

void CommanderMainWindow::addControlWidget(QString cat, QString name, QWidget * w)
{
	mvControlBox->addWidget(cat, name, w);
}
